Subject: Re: WARNING: suspicious RCU usage in ctrl_cmd_new_lookup

From: syzbot <[email-masked]>
Date: Thu, 22 Oct 2020 05:40:05 -0700

syzbot suspects this issue was fixed by commit:

commit a7809ff90ce6c48598d3c4ab54eb599bec1e9c42
Author: Manivannan Sadhasivam <[email-masked]>
Date:   Sat Sep 26 16:56:25 2020 +0000

    net: qrtr: ns: Protect radix_tree_deref_slot() using rcu read locks

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=143867c8500000
start commit:   7ae77150 Merge tag 'powerpc-5.8-1' of git://git.kernel.org..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=d195fe572fb15312
dashboard link: https://syzkaller.appspot.com/bug?extid=3025b9294f8cb0ede850
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=11802cf9100000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=144acc03100000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: qrtr: ns: Protect radix_tree_deref_slot() using rcu read locks

For information about bisection process see: https://goo.gl/tpsmEJ#bisection